## ros-foxy-moveit 2.2.3

=== debian/changelog ===
ros-foxy-moveit (2.2.3-1focal) focal; urgency=high



 -- Dave Coleman <dave@picknik.ai>  Fri, 07 Jan 2022 07:00:00 -0000

ros-foxy-moveit (2.2.2-1focal) focal; urgency=high



 -- Dave Coleman <dave@picknik.ai>  Tue, 16 Nov 2021 07:00:00 -0000

ros-foxy-moveit (2.2.1-1focal) focal; urgency=high



 -- Dave Coleman <dave@picknik.ai>  Mon, 12 Jul 2021 06:00:00 -0000

ros-foxy-moveit (2.2.0-1focal) focal; urgency=high



 -- Dave Coleman <dave@picknik.ai>  Wed, 30 Jun 2021 06:00:00 -0000

ros-foxy-moveit (2.1.4-1focal) focal; urgency=high



 -- Dave Coleman <dave@picknik.ai>  Mon, 31 May 2021 06:00:00 -0000

ros-foxy-moveit (2.1.3-1focal) focal; urgency=high



 -- Dave Coleman <dave@picknik.ai>  Sat, 22 May 2021 06:00:00 -0000

ros-foxy-moveit (2.1.2-1focal) focal; urgency=high

  * Unify PickNik name in copyrights (#419 <https://github.com/ros-planning/moveit2/issues/419>)
  * Contributors: Tyler Weaver

 -- Dave Coleman <dave@picknik.ai>  Tue, 20 Apr 2021 06:00:00 -0000

ros-foxy-moveit (2.1.1-1focal) focal; urgency=high

  * Add black formatter (#392 <https://github.com/ros-planning/moveit2/issues/392>)
  * Enable linting of moveit package (#378 <https://github.com/ros-planning/moveit2/issues/378>)
  * Enable ament_lint tests (#340 <https://github.com/ros-planning/moveit2/issues/340>)
  * Compile metapackages
  * Contributors: Henning Kayser, Tyler Weaver

 -- Dave Coleman <dave@picknik.ai>  Mon, 12 Apr 2021 06:00:00 -0000

ros-foxy-moveit (2.1.0-1focal) focal; urgency=high



 -- Dave Coleman <dave@picknik.ai>  Mon, 23 Nov 2020 07:00:00 -0000

ros-foxy-moveit (2.0.0-1focal) focal; urgency=high



 -- Dave Coleman <dave@picknik.ai>  Mon, 17 Feb 2020 07:00:00 -0000

ros-foxy-moveit (1.1.1-1focal) focal; urgency=high

  * [feature][visualization] Clean up Rviz Motion Planning plugin, add tooltips (#2310 <https://github.com/ros-planning/moveit/issues/2310>)
  * [feature][moveit_servo] A library for servoing toward a moving pose (#2203 <https://github.com/ros-planning/moveit/issues/2203>)
  * [feature][moveit_setup_assistant] Allow showing both, visual and collision geometry (#2352 <https://github.com/ros-planning/moveit/issues/2352>)
  * [fix][moveit_setup_assistant] layout (#2349 <https://github.com/ros-planning/moveit/issues/2349>)
  * [fix][moveit_setup_assistant] group editing (#2350 <https://github.com/ros-planning/moveit/issues/2350>)
  * [fix][moveit_setup_assistant] disappearing robot on change of reference frame (#2335 <https://github.com/ros-planning/moveit/issues/2335>)
  * Contributors: Felix von Drigalski, Michael Görner, Robert Haschke, Tyler Weaver, Yoan Mollard

 -- Dave Coleman <dave@picknik.ai>  Tue, 13 Oct 2020 06:00:00 -0000

ros-foxy-moveit (1.1.0-1focal) focal; urgency=high

  * [maint] Use standard cmake text for metapackages (#1620 <https://github.com/ros-planning/moveit/issues/1620>)
  * [maint] Use CMAKE_CXX_STANDARD to enforce c++14 for portability (#1607 <https://github.com/ros-planning/moveit/issues/1607>)
  * [maint] Remove ! from MoveIt name (#1590 <https://github.com/ros-planning/moveit/issues/1590>)
  * Contributors: Dave Coleman, Jonathan Binney, Robert Haschke, Sean Yen

 -- Dave Coleman <dave@picknik.ai>  Fri, 04 Sep 2020 06:00:00 -0000

ros-foxy-moveit (1.0.1-1focal) focal; urgency=high

  * [fix] segfault in chomp adapter (#1377 <https://github.com/ros-planning/moveit/issues/1377>)
  * [capability] Graphically print current robot joint states with joint limits (#1358 <https://github.com/ros-planning/moveit/issues/1358>)
  * [capability] python PlanningSceneInterface.add_cylinder() (#1372 <https://github.com/ros-planning/moveit/issues/1372>)
  * [capability] Add time-optimal trajectory parameterization https://github.com/ros-planning/moveit/pull/1365
  * [capability] FCL as a plugin  https://github.com/ros-planning/moveit/pull/1370
  * [improve] Apply clang tidy fix to entire code base (Part 1) (#1366 <https://github.com/ros-planning/moveit/issues/1366>)
  * Contributors: Dave Coleman, Robert Haschke, Yu, Yan

 -- Dave Coleman <dave@picknik.ai>  Fri, 08 Mar 2019 07:00:00 -0000

ros-foxy-moveit (1.0.0-1focal) focal; urgency=high

  * [fix] catkin_lint issues (#1341 <https://github.com/ros-planning/moveit/issues/1341>)
  * [fix][moveit_setup_assistant] memory leaks (#1292 <https://github.com/ros-planning/moveit/issues/1292>)
  * [fix][moveit_core] invert waypoint velocities on reverse (#1335 <https://github.com/ros-planning/moveit/issues/1335>)
  * [fix][moveit_core]  Added missing robot state update to iterative spline parameterization to prevent warnings. (#1298 <https://github.com/ros-planning/moveit/issues/1298>)
  * [fix][moveit_core]  robot_model_test_utils depends on message generation (#1286 <https://github.com/ros-planning/moveit/issues/1286>)
  * [capability][moveit_kinematics] Adapt ikfast plugin to new KinematicsBase API. #1320 <https://github.com/ros-planning/moveit/issues/1320>
  * [improve] computeCartesianPath: limit joint-space jumps with IK consistency limits (#1293 <https://github.com/ros-planning/moveit/issues/1293>)
  * [improve] cleanup LMA kinematics solver #1318 <https://github.com/ros-planning/moveit/issues/1318>
  * [improve] Remove (redundant) random seeding and #attempts from RobotState::setFromIK() as the IK solver perform random seeding themselves. #1288 <https://github.com/ros-planning/moveit/issues/1288>
  * [improve] Kinematics tests, kdl cleanup #1272 <https://github.com/ros-planning/moveit/issues/1272>, #1294 <https://github.com/ros-planning/moveit/issues/1294>
  * [improve][moveit_core]  Make FCL shape cache thread-local (#1316 <https://github.com/ros-planning/moveit/issues/1316>)
  * [improve][moveit_kinematics] KDL IK solver improvements (#1321 <https://github.com/ros-planning/moveit/issues/1321>)
  * [improve][moveit_setup_assistant] support dark themes (#1173 <https://github.com/ros-planning/moveit/issues/1173>)

